--[[
	Author: Darcey.Lloyd@gmail.com
--]]




-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
-- MENU > INTERFACE > ADDONS > DMouse (MENU)
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
function setupDMouseMenu()
	-- log("initOptions()");
	
	-- Setup addone menu page
	DMouseDB["DMOptions"] = {};
	DMouseDB["DMOptions"].Mainbar = CreateFrame( "Frame", "DMouseOptionsMainPage", UIParent );
	frame = DMouseDB["DMOptions"].Mainbar;
	frame.name = "DMouse";
	-- frame.parent = DMouseDB["DMOptions"].Mainbar.name;
	InterfaceOptions_AddCategory(frame);


	local px = 10;
	local py = -60;
	local inc = 25;
	local fontSize = 14;
	local sliderWidth = 100;



	frame.MainTitle = frame:CreateFontString("DMouseMainTitle", "OVERLAY")
	frame.MainTitle:SetFont(getAddonDefaultFont(),24,"OUTLINE")
	frame.MainTitle:SetTextColor(1,1,1)
	frame.MainTitle:SetPoint("TOPLEFT", 10, -10)
      
	frame.MainTitle:SetText("DMouse v" .. DMouseVersion);
      
    frame.subTitle = frame:CreateFontString("DMouseSubTitle", "OVERLAY")
	frame.subTitle:SetFont(getAddonDefaultFont(),11,"OUTLINE")
	frame.subTitle:SetTextColor(0.5,0.5,0.5)
	frame.subTitle:SetPoint("TOPLEFT", 10, -30)
	frame.subTitle:SetText("Darcey.Lloyd@gmail.com");	




	-- Combat only checkbox and label
    local function cbCombatOnlyClickHandler(ticked)
        -- print("CLICK = " .. tostring(ticked));
        DMouseDB["CombatOnly"] = ticked;
        -- print("DMouseDB[CombatOnly] = " .. tostring(DMouseDB["CombatOnly"]));
	end
	createCheckbox("cbCombatOnly",frame,"Circles visible in combat only",DMouseDB["CombatOnly"],px,py,cbCombatOnlyClickHandler);
	py = py - 40;




	-- Disable in vehicle mode checkbox and label
	local function cbDisableInVehicleClickHandler(ticked)
		-- print("CLICK = " .. tostring(ticked));
		DMouseDB["DisableWhenInVehicle"] = ticked;
		-- print("DMouseDB[DisableWhenInVehicle] = " .. tostring(DMouseDB["DisableWhenInVehicle"]));
	end
	createCheckbox("cbDisableInVehicleOnly",frame,"Disable when you enter vehicle mode",DMouseDB["DisableWhenInVehicle"],px,py,cbDisableInVehicleClickHandler);
	py = py - 40;




	-- X Offset label and slider
	--createLabel((name,frameContainer,text,size,r,g,b,a,justify,x,y)
	msg = "";
	msg = msg .. "Circle X offset" .. "\n\n";
	createLabel("txtOffsetLabelX",frame,msg,fontSize,1,1,1,1,"LEFT",px,py);
	py = py - 5;
	--function createSlider(name,frameContainer,min,max,step,label,default,width,decimalPrecision,x,y,changeHandler)
	local function xChangeHandler(v)
		DMouseDB["UserXOffset"] = v;
	end
	sliderWidth = 300;
	createSlider("DMouseSliderX",frame,-200,200,0.1,"X Offset",DMouseDB["UserXOffset"],sliderWidth,1,px,py,xChangeHandler,true)
	py = py - 70;




	-- Y Offset label and slider
	--createLabel((name,frameContainer,text,size,r,g,b,a,justify,x,y)
	msg = "";
	msg = msg .. "Circle Y offset" .. "\n\n";
	createLabel("txtOffsetLabelY",frame,msg,fontSize,1,1,1,1,"LEFT",px,py);
	py = py - 5;
	--function createSlider(name,frameContainer,min,max,step,label,default,width,decimalPrecision,x,y,changeHandler)
	local function xChangeHandler(v)
		DMouseDB["UserYOffset"] = v;
	end
	sliderWidth = 300;
	createSlider("DMouseSliderY",frame,-200,200,0.1,"Y Offset",DMouseDB["UserYOffset"],sliderWidth,1,px,py,xChangeHandler,true)
	py = py - 70;





	-- Circle Speed and label
	--createLabel((name,frameContainer,text,size,r,g,b,a,justify,x,y)
	msg = "";
	msg = msg .. "Circle Speed" .. "\n\n";
	createLabel("txtCircleSpeed",frame,msg,fontSize,1,1,1,1,"LEFT",px,py);
	py = py - 5;
	--function createSlider(name,frameContainer,min,max,step,label,default,width,decimalPrecision,x,y,changeHandler)
	local function xChangeHandler(v)
		DMouseDB["CircleSpeed"] = v;
	end
	sliderWidth = 300;
	createSlider("DMouseCircleSpeedSlider",frame,0.1,10,0.1,"Speed",DMouseDB["CircleSpeed"],sliderWidth,1,px,py,xChangeHandler,true)
	py = py - 70;




	-- btnReset
	local function btnResetClickHandler()
		DMouseDB["UserXOffset"] = 0;
		DMouseDB["UserYOffset"] = 0;
		DMouseDB["CircleSpeed"] = 2.7;
		ReloadUI();
	end
	local btnReset = createButton("DMouseBTNReset",frame,"RESET",150,px,py,btnResetClickHandler);
	py = py - 30;
	
	
	msg = "";
	msg = msg .. "NOTE: RESET WILL CAUSE UI RELOAD!" .. "\n\n";
	createLabel("DMouseResetNotice",frame,msg,fontSize,1,0,0,1,"LEFT",px,py);
	py = py - 70;
	





	msg = "";
	msg = msg .. "NOTE: If you change your UI scale, reload to ensure the addon displays correctly." .. "\n\n";
	createLabel("DMouseMessage1",frame,msg,fontSize,1,1,1,1,"LEFT",px,py);
	py = py - 30;


	

end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #



